Package com.destroystokyo.paper.event.player

# Class PlayerElytraBoostEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerElytraBoostEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerElytraBoostEvent extends PlayerEvent implements Cancellable
Fired when a player boosts elytra flight with a firework

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerElytraBoostEvent(@NotNull Player player, @NotNull ItemStack itemStack, @NotNull Firework firework)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Firework`
`getFirework()`
Get the firework entity that was spawned
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItemStack()`
Get the firework itemstack used
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setShouldConsume(boolean consume)`
Set whether to consume the firework or not
`boolean`
`shouldConsume()`
Get whether to consume the firework or not

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerElytraBoostEvent

public PlayerElytraBoostEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemStack itemStack, @NotNull @NotNull Firework firework)

## Method Details

### getItemStack

@NotNull public @NotNull ItemStack getItemStack()
Get the firework itemstack used

Returns:
  ItemStack of firework

### getFirework

@NotNull public @NotNull Firework getFirework()
Get the firework entity that was spawned

Returns:
  Firework entity

### shouldConsume

public boolean shouldConsume()
Get whether to consume the firework or not

Returns:
  True to consume

### setShouldConsume

public void setShouldConsume(boolean consume)
Set whether to consume the firework or not

Parameters:
  `consume` - True to consume

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event